[Gpg4win-commits] [git] Gpg4win - branch, master, updated. gpg4win-2.3.1-172-gf1a07aa

by Andre Heinecke cvs at cvs.gnupg.org
Tue Jul 12 17:17:04 CEST 2016


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GnuPG for Windows".

The branch, master has been updated
       via  f1a07aa186ee43cb645afde394092b373c088981 (commit)
       via  521ca0aca8f1428adf46720adae25b9740bda0bf (commit)
      from  ace274b67cd6f5b320a04b4dbbb6bd5a0f994f72 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit f1a07aa186ee43cb645afde394092b373c088981
Author: Andre Heinecke <aheinecke at intevation.de>
Date:   Tue Jul 12 17:15:00 2016 +0200

    Add reverting patch to breaking KDE install change
    
    * patches/extra-cmake-modules/
    0001-Use-BIN_INSTALL_DIR-data-for-DATAROOTDIR-on-Windows.patch:
    Reverse Apply this patch.
    * Makefile.am (EXTRA_DIST): Update accordingly.
    
    --
    Just switching to /bin/data from /share would be very traumatic
    for gpg4win. Let's hope we can revert / solve this upstream. Otherwise
    this patch is likely to be around for a long time.

diff --git a/Makefile.am b/Makefile.am
index 80928dc..478577c 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -54,7 +54,8 @@ EXTRA_DIST = autogen.sh README.GIT ONEWS \
         patches/libgpg-error-1.21/0001-Add-FD_ISSET-replacement-for-Windows.patch \
         patches/gpgex-1.0.4/0001-Prefer-kleowrapped-gpgwrapped-binaries.patch \
         patches/gpgol-1.4.0/0001-Fix-UI-Server-startup.patch \
-        patches/gpgol-1.4.0/0002-Ignore-sent-S-MIME-Mails-if-S-MIME-is-disabled.patch
+        patches/gpgol-1.4.0/0002-Ignore-sent-S-MIME-Mails-if-S-MIME-is-disabled.patch \
+        patches/extra-cmake-modules/0001-Use-BIN_INSTALL_DIR-data-for-DATAROOTDIR-on-Windows.patch
 
 copy-news:
 	cp NEWS doc/website/NEWS.last
diff --git a/patches/extra-cmake-modules/0001-Use-BIN_INSTALL_DIR-data-for-DATAROOTDIR-on-Windows.patch b/patches/extra-cmake-modules/0001-Use-BIN_INSTALL_DIR-data-for-DATAROOTDIR-on-Windows.patch
new file mode 100755
index 0000000..c712aff
--- /dev/null
+++ b/patches/extra-cmake-modules/0001-Use-BIN_INSTALL_DIR-data-for-DATAROOTDIR-on-Windows.patch
@@ -0,0 +1,51 @@
+#! /bin/sh
+patch -p1 -l -R -f $* < $0
+exit $?
+
+From 2503481e4537b88d76b4a596f519cb3311e1ca2a Mon Sep 17 00:00:00 2001
+From: Hannah von Reth <vonreth at kde.org>
+Date: Tue, 14 Jun 2016 16:42:08 +0200
+Subject: [PATCH 1/4] Use "${BIN_INSTALL_DIR}/data" for DATAROOTDIR on Windows.
+
+Summary:
+Instead of using "share" use "${BIN_INSTALL_DIR}/data" on Windows,
+this is the location provided by QStandardPaths for GenericDataLocation
+on Windows.
+
+Reviewers: dfaure
+
+Reviewed By: dfaure
+
+Subscribers: kfunk
+
+Differential Revision: https://phabricator.kde.org/D1873
+---
+ kde-modules/KDEInstallDirs.cmake | 13 +++++++++----
+ 1 file changed, 9 insertions(+), 4 deletions(-)
+
+diff --git a/kde-modules/KDEInstallDirs.cmake b/kde-modules/KDEInstallDirs.cmake
+index d9c3b78..f518a4a 100644
+--- a/kde-modules/KDEInstallDirs.cmake
++++ b/kde-modules/KDEInstallDirs.cmake
+@@ -489,10 +489,15 @@ _define_absolute(SHAREDSTATEDIR "com"
+
+
+
+-
+-_define_absolute(DATAROOTDIR "share"
+-    "read-only architecture-independent data root"
+-    SHARE_INSTALL_PREFIX)
++if (WIN32)
++    _define_relative(DATAROOTDIR BINDIR "data"
++        "read-only architecture-independent data root"
++        SHARE_INSTALL_PREFIX)
++else()
++    _define_absolute(DATAROOTDIR "share"
++        "read-only architecture-independent data root"
++        SHARE_INSTALL_PREFIX)
++endif()
+
+ _define_relative(DATADIR DATAROOTDIR ""
+     "read-only architecture-independent data"
+--
+2.1.4

commit 521ca0aca8f1428adf46720adae25b9740bda0bf
Author: Andre Heinecke <aheinecke at intevation.de>
Date:   Tue Jul 12 17:14:14 2016 +0200

    Fix make dist
    
    * Makefile.am (EXTRA_DIST): Remove deleted patch

diff --git a/Makefile.am b/Makefile.am
index d80070f..80928dc 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -52,7 +52,6 @@ EXTRA_DIST = autogen.sh README.GIT ONEWS \
         patches/extra-cmake-modules/0001-Add-convert-utility-support-for-Windows-icons.patch \
         patches/kleopatra/0005-Hack-generated-conf-files-for-Crosscompiling.patch \
         patches/libgpg-error-1.21/0001-Add-FD_ISSET-replacement-for-Windows.patch \
-        patches/gpgmepp/drop-version-dep.patch \
         patches/gpgex-1.0.4/0001-Prefer-kleowrapped-gpgwrapped-binaries.patch \
         patches/gpgol-1.4.0/0001-Fix-UI-Server-startup.patch \
         patches/gpgol-1.4.0/0002-Ignore-sent-S-MIME-Mails-if-S-MIME-is-disabled.patch

-----------------------------------------------------------------------

Summary of changes:
 Makefile.am                                        |  4 +-
 ...STALL_DIR-data-for-DATAROOTDIR-on-Windows.patch | 51 ++++++++++++++++++++++
 2 files changed, 53 insertions(+), 2 deletions(-)
 create mode 100755 patches/extra-cmake-modules/0001-Use-BIN_INSTALL_DIR-data-for-DATAROOTDIR-on-Windows.patch


hooks/post-receive
-- 
GnuPG for Windows
http://git.gnupg.org



More information about the Gpg4win-commits mailing list